automatic list marker - with SHIFT-RETURN just a new line
Status: New Start date:
Priority: Normal Due date:
Assignee: % Done: 0%
Category: ul Estimated time: 0.00 hour
Target version: Candidate for next minor release
Resolution:
Description
With version 6.1.0, the automatic list markers were addded.
Using the input SHIFT+ENTER should not insert a new list marker,
just start a new line without a new marker.
| think this is the standard behavior for text inputs.
* First
* Second
"Shift+Enter’ Jjust new Line
* Third added automatik with "Enter’
double Enter here it continues
Related issues:
Related to Redmine - Feature #43095: Support automatic list marker insertion ... Closed

History

#1 - 2025-09-28 22:56 - Marius BALTEANU

- Related to Feature #43095: Support automatic list marker insertion in textareas added

#2 - 2025-09-28 22:56 - Marius BALTEANU

- Target version set to Candidate for next minor release

Mizuki ISHIKAWA, can you take a look, please?

#3 - 2025-09-29 08:43 - Mizuki ISHIKAWA

From what I've observed, there are services like Slack and Backlog where pressing Shift + Enter also inserts a list marker, so it seems not all services

follow the same specification.

That said, many people are accustomed to this behavior on platforms like GitHub, so | think it's a good idea to support this specification.

This is a little different from that feature, but in the current version of Redmine, if you press the Enter key while only a marker remains, the marker is

removed immediately to make it easy to delete unwanted markers. (The same behavior as GitHub.)
